/* Copyright  2003, Leaky Puppy Software, Net Monkey Inc.

This file is part of Fob.

Fob is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Fob is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Fob; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

//  DockIconController.h
//  Fob
//
//  Created by Thomas Finley on Sat Jan 11 2003.
//  Copyright (c) 2003 Leaky Puppy Software, for Net Monkey Inc. All rights reserved.
//  This program is distributed under the terms of the GNU General Public License.

#import <Cocoa/Cocoa.h>

@class Alarm, CurrentAlarms;

typedef enum _DockIconState {
    original, alarmDisplay, doneFlash
} DockIconState;

@interface DockIconController : NSObject {
    NSImage *originalImage; // The original application image.
    NSMutableDictionary *attributes, *statusAttributes; // Attributes of text when displaying an alarm in dock and status item.
    NSColor *backgroundText, *foregroundText; // Colors for the text when displaying an alarm.
    DockIconState iconState; // Is our dock icon the original, displaying an alarm, or doing the flash?
    NSTimer *doneTimer; // The timer for flashing the dock icon on/off.
    Alarm *latestRungAlarm; // The alarm that most recently went off.
    BOOL toFlash; // Should the next done flash be an on flash?
    BOOL quitting; // Are we quitting?
    
    IBOutlet CurrentAlarms *currentAlarms;
}

- (void)prepareAttributes;
- (Alarm *)firstAlarm;
- (void)updateIcon;

@end
